﻿#pragma strict

var raw : Texture2D;
var done : Texture2D;
var burnt : Texture2D;

private var foodPos : String;
private var cookingTimer : float = 0;
private var meatValue : String;
private var currentMeatSelected : boolean = false;
var spatula : GameObject;

function OnMouseOver(){
    if(Input.GetMouseButtonDown(0))
    {
		if (foodPos == "One" && GameScript.posOne == "Not Free" && GameScript.posTwo != "Selected" && GameScript.posThree != "Selected" && GameScript.posFour != "Selected")
		{
			currentMeatSelected = true;
			GameScript.posOne = "Selected";
			SendSelectedMeatData();
		}
		else if (foodPos == "Two" && GameScript.posOne != "Selected" && GameScript.posTwo == "Not Free" && GameScript.posThree != "Selected" && GameScript.posFour != "Selected")
		{
			currentMeatSelected = true;
			GameScript.posTwo = "Selected";
			SendSelectedMeatData();
		}
		else if (foodPos == "Three" && GameScript.posOne != "Selected" && GameScript.posTwo != "Selected" && GameScript.posThree == "Not Free" && GameScript.posFour != "Selected")
		{
			currentMeatSelected = true;
			GameScript.posThree = "Selected";
			SendSelectedMeatData();
		}
		else if (foodPos == "Four" && GameScript.posOne != "Selected" && GameScript.posTwo != "Selected" && GameScript.posThree != "Selected" && GameScript.posFour == "Not Free")
		{
			currentMeatSelected = true;
			GameScript.posFour = "Selected";
			SendSelectedMeatData();
		}
    }
}

function SendSelectedMeatData()
{
	GameScript.selectedMeatType = "Sausages";
	GameScript.selectedMeatValue = meatValue;
}

function Start()
{
	foodPos = GameScript.lastPosFilled;
}

function Update()
{
	if (currentMeatSelected)
		spatula.active = true;
	else
		spatula.active = false;
	
	if (currentMeatSelected && GameScript.selectedMeatType == "Remove" || GameScript.gameStatus == "Instructions" || GameScript.gameStatus == "Game Over")
	{
		GameScript.selectedMeatType = "";
		GameScript.itemsOnBbq -= 1;
		Destroy (gameObject);
	}
	
	if (GameScript.gameStatus == "Running" && !currentMeatSelected)
	{
		cookingTimer += Time.deltaTime;
		
		if (cookingTimer <= 5)
		{
			renderer.material.mainTexture = raw;
			meatValue = "Raw";
		}
		
		if (cookingTimer > 5 && cookingTimer < 10)
		{
			renderer.material.mainTexture = done;
			meatValue = "Cooked";
		}
		
		if (cookingTimer > 10)
		{
			renderer.material.mainTexture = burnt;
			meatValue = "Burnt";
		}
	}
}

@script RequireComponent(AudioSource)